/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_NORMA                                                    */
/* Tabela : NORMA                                                             */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_NORMA' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_NORMA
GO

CREATE TRIGGER DTULTATU_NORMA
ON NORMA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'NORMA', null, 'CDNORMA='+ CDNORMA+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE NORMA
      SET DTULTATUNORM = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(NORMA.CDNORMA,0) = ISNULL(INSERTED.CDNORMA,0)) AND
            (ISNULL(NORMA.NMNORMA,0) = ISNULL(INSERTED.NMNORMA,0));
   END;
END;
GO

